API Direct
Endpoints
Trustpilot Category Companies

Trustpilot Category Companies

GET /v1/trustpilot/category/companies

List the companies in a Trustpilot category, ranked, 20 per page, along with the category's size and subcategories.

Cost
$0.005 per request
Free tier
50 requests/month

Parameters

category_id *
Category slug, e.g. bank or electronics_technology. See /docs/trustpilot-category-ids. A trustpilot.com/categories/... URL also works
page
Page number, 1-500 (default: 1). Each page returns up to 20 companies
sort_by
recommended (default), recently_reviewed
country
2-letter ISO 3166-1 country code (e.g. us, gb, de). Default: all countries
min_rating
Only companies with at least this TrustScore: 3, 3.5, 4, 4.5
claimed
Set to true to return only companies that have claimed their Trustpilot profile

Example Request

curl "https://apidirect.io/v1/trustpilot/category/companies?category_id=electronics_technology&country=us&min_rating=4"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "companies": [
    {
      "business_unit_id": "4bdc9828000064000505dc60",
      "name": "Flashbay",
      "domain": "www.flashbay.com",
      "website": "https://www.flashbay.com",
      "url": "https://www.trustpilot.com/review/www.flashbay.com",
      "logo": "https://s3-eu-west-1.amazonaws.com/tpd/screenshotlogo-domain/4bdc9828000064000505dc60/198x149.png",
      "rating": 5.0,
      "stars": 5.0,
      "review_count": 19329,
      "categories": [
        {
          "category_id": "gift_shop",
          "name": "Gift Shop",
          "is_primary": false
        },
        {
          "category_id": "hobby_store",
          "name": "Hobby Store",
          "is_primary": false
        },
        {
          "category_id": "business_to_business_service",
          "name": "Business to Business Service",
          "is_primary": false
        },
        {
          "category_id": "promotional_items_store",
          "name": "Promotional Item Store",
          "is_primary": true
        },
        {
          "category_id": "computer_accessories_store",
          "name": "Computer Accessories Store",
          "is_primary": false
        },
        {
          "category_id": "drives_and_storage_service",
          "name": "Drives and Storage Service",
          "is_primary": false
        }
      ],
      "city": null,
      "country": "United States",
      "address": "Flashbay Inc. 569 Clyde Avenue, Unit 500, Mountain View, CA 94043",
      "zipcode": null,
      "is_recommended": true
    },
    {
      "business_unit_id": "4bdc7d56000064000505cb54",
      "name": "TadiBrothers",
      "domain": "www.tadibrothers.com",
      "website": "https://www.tadibrothers.com",
      "url": "https://www.trustpilot.com/review/www.tadibrothers.com",
      "logo": "https://s3-eu-west-1.amazonaws.com/tpd/screenshotlogo-domain/4bdc7d56000064000505cb54/198x149.png",
      "rating": 5.0,
      "stars": 5.0,
      "review_count": 3685,
      "categories": [
        {
          "category_id": "electronics_store",
          "name": "Electronics Store",
          "is_primary": true
        },
        {
          "category_id": "auto_repair_shop",
          "name": "Auto Repair Shop",
          "is_primary": false
        },
        {
          "category_id": "truck_parts_supplier",
          "name": "Truck Parts Supplier",
          "is_primary": false
        },
        {
          "category_id": "safety_equipment_supplier",
          "name": "Safety Equipment Supplier",
          "is_primary": false
        },
        {
          "category_id": "auto_body_parts_supplier",
          "name": "Auto Body Parts Supplier",
          "is_primary": false
        },
        {
          "category_id": "horsebox_specialist",
          "name": "Horse Transport Supplier",
          "is_primary": false
        }
      ],
      "city": "Reseda",
      "country": "United States",
      "address": "6924 Canby Ave, #107",
      "zipcode": "91335",
      "is_recommended": true
    }
  ],
  "count": 20,
  "page": 1,
  "total_pages": 500,
  "total_companies": 10000,
  "category": {
    "category_id": "electronics_technology",
    "name": "Electronics & Technology",
    "business_count": 59806,
    "parent_id": null,
    "url": "https://www.trustpilot.com/categories/electronics_technology",
    "subcategories": [
      {
        "category_id": "appliances_electronics",
        "name": "Appliances & Electronics",
        "business_count": 5569
      },
      {
        "category_id": "audio_visual",
        "name": "Audio & Visual",
        "business_count": 1807
      },
      {
        "category_id": "computers_phones",
        "name": "Computers & Phones",
        "business_count": 8342
      },
      {
        "category_id": "internet_software",
        "name": "Internet & Software",
        "business_count": 45334
      },
      {
        "category_id": "repair_services",
        "name": "Repair & Services",
        "business_count": 2857
      }
    ]
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity